﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    Random random = new Random();
    protected void Page_Load(object sender, EventArgs e)
    {

        DataTable dt = new DataTable();
        //dt.Columns.Add("t"); /*GetType(String)*/
        //dt.Columns.Add("numbers");  /*GetType(Double)*/
        //dt.Rows.Add("PR", 896);
        //dt.Rows.Add("SB", 678.32);
        //dt.Rows.Add("EN", 775);
        //dt.Rows.Add("SD", 568.9);
        //dt.Rows.Add("UD", 756.93);
        //dt.Rows.Add("NS", 801);

        dt.Columns.Add("y");
        dt.Columns.Add("x");
        for (int i=0; i<20; i++)
        {
            dt.Rows.Add("module"+i.ToString(), random.Next(0,10));
        }

        tcht.Visible = true;
        Steema.TeeChart.Chart cht = tcht.Chart;

        Chart_Formatting_basic("large", "bar", ref cht, "PM Status in Modules", "Module", "%");
        //cht.Height = 595;  //35*17

        int n;

        for (int i=0; i<3; i++)
        {
            LargeChart_Formatting_series_horizbar(ref cht, Color.Gray, i.ToString());
            n = cht.Series.Count - 1;
            cht[n].DataSource = dt;
            cht[n].XValues.DataMember = "x";
            cht[n].LabelMember = "y";
        }

    }


    public static void Chart_Formatting_basic(string size, string chttype, ref Steema.TeeChart.Chart cht, string cht_title, string leftaxis_title, string bottomaxis_title, string color_palette = null)
    {
        //cht.Height = Height(size);
        //cht.Width = Width(size);
        cht.AutoRepaint = true;
        cht.Aspect.View3D = false;
        {
            var panel = cht.Panel;
            //panel.Color = Panel_Color();
            //panel.Pen.Visible = true;
            //panel.Pen.Color = PanelPen_Border_Color();
            //panel.Pen.Width = PanelPen_Border_Width(null);
            //panel.BorderRound = Panel_BorderRound("");
            //panel.MarginRight = Panel_Margin("right");
        }

        //cht.Walls.Left.Color = Wall_Color();
        //cht.Walls.Bottom.Color = Wall_Color();
        //cht.Walls.Back.Visible = true;
        //cht.Walls.Back.Transparent = false;
        //cht.Walls.Back.Color = Wall_Color();
        //{
        //    var header = cht.Header;
        //    header.Font = new Steema.TeeChart.Drawing.ChartFont(null, ChartTitle_Font(size));
        //    header.Font.Quality = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
        //    header.Font.Color = ChartTitle_Color();
        //}

        cht.SubHeader.Visible = true;
        cht.SubHeader.Text = " ";
        //cht.SubHeader.Font.Size = 8;
        if (chttype != "pie")
        {
            {
                var axes = cht.Axes;
                //    axes.Left.Title.Font = new Steema.TeeChart.Drawing.ChartFont(null, AxisTitle_Font(size));
                //    axes.Left.Title.Font.Quality = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
                //    axes.Left.Title.Font.Color = AxisTitle_Color();
                //    axes.Bottom.Title.Font = new Steema.TeeChart.Drawing.ChartFont(null, AxisTitle_Font(size));
                //    axes.Bottom.Title.Font.Quality = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
                //    axes.Bottom.Title.Font.Color = AxisTitle_Color();
                //    axes.Left.Labels.Font = new Steema.TeeChart.Drawing.ChartFont(null, AxisLabel_Font(size));
                //    axes.Left.Labels.Font.Quality = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
                //    axes.Left.Labels.Font.Color = AxisLabel_Color();
                //    axes.Bottom.Labels.Font = new Steema.TeeChart.Drawing.ChartFont(null, AxisLabel_Font(size));
                //    axes.Bottom.Labels.Font.Quality = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
                //    axes.Bottom.Labels.Font.Color = AxisLabel_Color();
                //    axes.Bottom.Labels.MultiLine = true;
                //    axes.Bottom.Labels.AutoSize = true;

                // steemaChart.Axes.Right.Title.Font = New Steema.TeeChart.Drawing.ChartFont(Nothing, GlobalMain_Analog.Get_Chart_AxisFont())
                // steemaChart.Axes.Right.Labels.Font = New Steema.TeeChart.Drawing.ChartFont(Nothing, GlobalMain_Analog.Get_Chart_AxisMarkerFont())

                axes.Left.AxisPen.Visible = true;
                axes.Left.Grid.DrawEvery = 1;
                axes.Bottom.Labels.Angle = 90;
                // .Bottom.Labels.Style = Steema.TeeChart.AxisLabelStyle.Text
                axes.Bottom.Labels.Separation = 1;
                axes.Bottom.Ticks.Visible = true;
                axes.Bottom.TickOnLabelsOnly = false;
                axes.Left.FixedLabelSize = false;
                axes.Bottom.FixedLabelSize = false;
                axes.Bottom.Labels.AutoSize = true;
                axes.Left.Labels.AutoSize = true;
                axes.Right.Labels.AutoSize = true;
            }
        }

        if (chttype != "bar")
        {
            cht.Axes.Bottom.Grid.Visible = true;
            cht.Axes.Bottom.Grid.DrawEvery = 1;
        }

        {
            var legend = cht.Legend;
            legend.Shadow.Visible = true;
            legend.Font.Quality = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
            //legend.Font = new Steema.TeeChart.Drawing.ChartFont(null, Mark_Font(size));
            legend.Visible = false;
        }

        // AssignFreqDataToChart
        cht.Header.Text = cht_title;
        cht.Axes.Left.Title.Text = leftaxis_title;
        cht.Axes.Bottom.Title.Text = bottomaxis_title;
        if (string.IsNullOrEmpty(color_palette))
        {
            Steema.TeeChart.Themes.ColorPalettes.ApplyPalette(cht, 13);
        }
    }

    public static void LargeChart_Formatting_series_horizbar(ref Steema.TeeChart.Chart cht, Color color, string bar_title)
    {
        var bar1 = new Steema.TeeChart.Styles.HorizBar();
        bar1.BarStyle = Steema.TeeChart.Styles.BarStyles.Cylinder;
        bar1.BarRound = Steema.TeeChart.Styles.BarRounding.AtValue;
        bar1.RoundSize = 8;
        //bar1.BarHeightPercent = 100;
        bar1.Pen.Color = Color.Black;
        bar1.Pen.Width = 1;
        bar1.bBrush.Color = color;
        bar1.bBrush.Solid = true;
        bar1.StackGroup = 0;
        bar1.MultiBar = Steema.TeeChart.Styles.MultiBars.Stacked;
        bar1.Title = bar_title;
        {
            var marks = bar1.Marks;
            marks.Visible = true;
            marks.Arrow.Visible = false;
            marks.Transparent = true;
            marks.Style = Steema.TeeChart.Styles.MarksStyles.Value;
        }

        bar1.MarksOnBar = true;
        //bar1.Marks.TextAlign = StringAlignment.Center;
        //bar1.Marks.ResetPositions();
        bar1.MarksLocation = Steema.TeeChart.Styles.MarksLocation.Center;
        bar1.Marks.AutoPosition = true;
        cht.Series.Add(bar1);
    }



}